
/***********************************************************************************************************************************
 *** MODULO
 **********************************************************************************************************************************/

#ifndef DRIVERINFOTRONIC_DR_TIMERS_H_
#define DRIVERINFOTRONIC_DR_TIMERS_H_

/***********************************************************************************************************************************
 *** INCLUDES GLOBALES
 **********************************************************************************************************************************/
#include "DR_tipos.h"
#include "Stepper.h"
/***********************************************************************************************************************************
 *** DEFINES GLOBALES
 **********************************************************************************************************************************/
#define 	N_TIMERS		30

/***********************************************************************************************************************************
 *** MACROS GLOBALES
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** TIPO DE DATOS GLOBALES
 **********************************************************************************************************************************/
typedef void (*Timer_Handler)(void);

/***********************************************************************************************************************************
 *** VARIABLES GLOBALES
 **********************************************************************************************************************************/
extern volatile 	uint32_t Tmr_Run[ N_TIMERS ];
extern volatile 	uint8_t  TMR_Events[ N_TIMERS ];
extern void 	 	(* TMR_handlers [N_TIMERS]) (void);
extern volatile 	uint8_t  TMR_StandBy[ N_TIMERS ];
extern volatile 	uint8_t  Tmr_Base[ N_TIMERS ];

/***********************************************************************************************************************************
 *** PROTOTIPOS DE FUNCIONES GLOBALES
 **********************************************************************************************************************************/
void AnalizarTimers(void);
void TimerEvent(void);
#endif /* DRIVERINFOTRONIC_DR_TIMERS_H_ */
